/// <reference types="node" />
import * as http from "http";
import * as express from "express";
import { Span } from "@opentelemetry/api";
export declare class WebServer {
    static remoteip(req: express.Request): string;
    static app: express.Express;
    static BaseRateLimiter: any;
    static server: http.Server;
    static isBlocked(req: express.Request): Promise<boolean>;
    static configure(baseurl: string, parent: Span): Promise<http.Server>;
    static Listen(): void;
}
